export declare enum FilePickerType {
    Choose = 1,
    Move = 2,
    Copy = 3,
    CopyMove = 4
}
export declare class FilePicker {
    private title;
    private multiSelect;
    private mimeTypeFiler;
    private modal;
    private type;
    private directoriesAllowed;
    private path?;
    constructor(title: string, multiSelect: boolean, mimeTypeFilter: string[], modal: boolean, type: FilePickerType, directoriesAllowed: boolean, path?: string);
    pick(): Promise<string>;
}
export declare class FilePickerBuilder {
    private title;
    private multiSelect;
    private mimeTypeFiler;
    private modal;
    private type;
    private directoriesAllowed;
    private path?;
    constructor(title: string);
    setMultiSelect(ms: boolean): FilePickerBuilder;
    addMimeTypeFilter(filter: string): FilePickerBuilder;
    setMimeTypeFilter(filter: string[]): FilePickerBuilder;
    setModal(modal: boolean): FilePickerBuilder;
    setType(type: FilePickerType): FilePickerBuilder;
    allowDirectories(allow?: boolean): FilePickerBuilder;
    startAt(path: string): FilePickerBuilder;
    build(): FilePicker;
}
export declare function getFilePickerBuilder(title: string): FilePickerBuilder;
